Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002691KdenliveEffectspublic2012-07-30 23:472013-01-28 19:50
Reportergingerling 
Assigned Toj-b-m 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformpre-installed and compiledOSubuntu and suzeOS Version9.10
Product Version0.9.2 
Target VersionFixed in Version0.9.4 
Summary0002691: scratchlines effect bug, confirmed
Descriptionhttp://www.kdenlive.org/forum/effect-scratchlines-resets-when-session-closed [^]

as discussed here, the scratchlines effect resets the first parameter (line width)back to 2 when kdenlive is closed and reopened. Also (and most importantly) this issue is present with rendering, so it only renders at a width of 2, whatever it was set at before. I have confirmed this on my kxstudio/ubuntu os and a second user has confirmed it on opensuze with a different type of kxstudio install.

I would really love to use this effect in a vid I am making just now, is there any chance of a fix?
Steps To Reproduceapply scratchlines effect to clip using a large line width, like 70 or 80. save and close, re open, effect is rest to 2. apply scratchlines effect to clip using a large line width, like 70 or 80, render - effect only renders at 2.
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships

-  Notes
(0008174)
gmarco (reporter)
2012-08-02 12:09

first test shows, that naming this parameter "width" is a bad idea

renaming this in mlt/src/modules/filter_lines.c to something else, will let it work

testable with:
melt color:red -filter lines num=10 wi=82 -consumer xml

is this a bug in mlt that it will not print out width (anymore?).
i think renaming this to pixel_width would solve this
(0008178)
gmarco (reporter)
2012-08-04 14:48

fixed in mlt-git and kdenlive-git

- Issue History
Date Modified Username Field Change
2012-07-30 23:47 gingerling New Issue
2012-08-02 12:09 gmarco Note Added: 0008174
2012-08-04 14:48 gmarco Note Added: 0008178
2012-09-01 21:31 j-b-m Status new => resolved
2012-09-01 21:31 j-b-m Fixed in Version => Recent git
2012-09-01 21:31 j-b-m Resolution open => fixed
2012-09-01 21:31 j-b-m Assigned To => j-b-m
2013-01-28 19:50 j-b-m Fixed in Version Recent git => 0.9.4
2013-01-28 19:50 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker